SDL_HINT_AUDIO_CATEGORY(3)

NAME
SDL_HINT_AUDIO_CATEGORY - A variable controlling the audio category on iOS and macOS.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_AUDIO_CATEGORY SDL_AUDIO_CATEGORY"

DESCRIPTION
The variable can be set to the following values:

• "ambient": Use the AVAudioSessionCategoryAmbient audio category, will be
  muted by the phone mute switch (default)

• "playback": Use the AVAudioSessionCategoryPlayback category.

For more information, see Apple's documentation: https://developer.apple.com/library/content/documentation/Audio/Conceptual/AudioSessionProgrammingGuide/AudioSessionCategoriesandModes/AudioSessionCategoriesandModes.html

This hint should be set before an audio device is opened.

AVAILABILITY
This hint is available since SDL 3.2.0.